;NSIS Install script for the pyShottab program.
;Adapted to from NSIS modern style written by Joost Verburg.
;
; NOTE: no program entries made, just installed into given directory.
;
; See NSIS\Contrib\Modern UI\Readme.html for more information.
;
; Dave LeBlanc, November 2002.
;
; Updated April 2003 to work with the newer NSIS.

!define MUI_NAME "Shot Table Creator (Shottab)"
!define MUI_VERSION "1.0.2"
!define MUI_PRODUCT "${MUI_NAME}"

!include "MUI.nsh"

!define MUI_WELCOMEPAGE
!define MUI_COMPONENTSPAGE
!define MUI_FINISHPAGE
!define MUI_DIRECTORYPAGE
 
!define MUI_ABORTWARNING
  
!define MUI_UNINSTALLER
!define MUI_UNCONFIRMPAGE

!insertmacro MUI_LANGUAGE "English"
;--------------------------------

  ;General
;  Name "$MUI_NAME $MUI_VERSION"
  OutFile "pyShottab.exe"
  SetOverwrite on

  ;Component-select dialog
  ComponentText "Check the components you want to install and uncheck the components you don't want to install. Click Next to continue."

  ;Folder-select dialog
  ;InstallDir "$PROGRAMFILES\$NAME"
  InstallDir "C:\Shottab\"
  DirText "Setup will install Shottab in the following folder.$\r$\n$\r$\nTo install in this folder, click Install. To install in a different folder, click Browse and select another folder." " "

  ;Uninstaller
  UninstallText "This will uninstall Shottab from your system."

;--------------------------------
;Installer Sections

Section "shotGui.exe" SecCopyGUI
  ; All the files required for the shot GUI
  SetOutPath "$INSTDIR"
  File "dist\shotGui\shotGui.exe"
  File "dist\shotGui\mmap.pyd"
  File "dist\shotGui\wxc.pyd"
  File "dist\shotGui\_sre.pyd"
  File "dist\shotGui\wxmsw24uh.dll"
  File "dist\shotGui\python22.dll"
SectionEnd

Section "shotCreate.exe" SecCopyCreate
  ; Files required for the command line shottab
  ; creation program (copied from shotGui directory
  ; so as to not duplicate files in deployed archive)
  SetOutPath "$INSTDIR"
  File "README.TXT"
  File "docs\pyShottab.pdf"
  File "dist\shotCreate\shotCreate.exe"
  File "dist\shotGui\mmap.pyd"
  File "dist\shotGui\_sre.pyd"
  File "dist\shotGui\python22.dll"
SectionEnd

; optional section (can be disabled by the user)
; NOTE: shotCreate not linked, cause it required a command line argument.
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\PyShottab"
  CreateShortCut "$SMPROGRAMS\PyShottab\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\PyShottab\PyShottab GUI (shotGui).lnk" "$INSTDIR\shotGui.exe" "" "$INSTDIR\shotGui.exe" 0
  CreateShortCut "$SMPROGRAMS\PyShottab\README.lnk" "$INSTDIR\README.TXT" "" "$INSTDIR\README.TXT" 0
  CreateShortCut "$SMPROGRAMS\PyShottab\Manual (pyShottab.pdf).lnk" "$INSTDIR\pyShottab.pdf" "" "$INSTDIR\pyShottab.pdf" 0
  
SectionEnd


!insertmacro MUI_SECTIONS_FINISHHEADER

;--------------------------------
;Descriptions

!insertmacro MUI_FUNCTIONS_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SecCopyGUI} $(SecCopyCreate)
!insertmacro MUI_FUNCTIONS_DESCRIPTION_END


Section "Create Link on Desktop" SecDesktopLink
  ; Files required for the command line shottab
  ; creation program (copied from shotGui directory
  ; so as to not duplicate files in deployed archive)
  SetOutPath "$INSTDIR"
  CreateShortCut "$DESKTOP\shotGui.lnk" "$INSTDIR\shotGui.exe"
SectionEnd


Section "Create uninstaller" SecCreateUninst

  ;Add your stuff here

  WriteUninstaller "$INSTDIR\Uninstall.exe"

SectionEnd


;Uninstaller Section

Section "Uninstall"
  ; Remove all the files we (potentially) installed 
  Delete "$INSTDIR\shotCreate.exe"
  Delete "$INSTDIR\shotGui.exe"
  Delete "$INSTDIR\mmap.pyd"
  Delete "$INSTDIR\wxc.pyd"
  Delete "$INSTDIR\_sre.pyd"
  Delete "$INSTDIR\wxmsw233h.dll"
  Delete "$INSTDIR\python22.dll"
  Delete "$INSTDIR\Uninstall.exe"
  Delete "$INSTDIR\wxmsw24uh.dll"
  Delete "$INSTDIR\README.TXT"
  Delete "$INSTDIR\pyShottab.pdf"


  ; Remove link from the desktop
  Delete "$DESKTOP\shotGui.lnk"

  ; Remove any start menu entries.
  Delete "$SMPROGRAMS\PyShottab\*.*"

  RMDir "$INSTDIR"

  !insertmacro MUI_FINISHHEADER
SectionEnd

